LinuxQuestions.org
LinuxAnswers - the LQ Linux tutorial section.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices

Reply
 
Search this Thread
Old 05-02-2005, 02:22 AM   #1
GingerMegs
LQ Newbie
 
Registered: Apr 2005
Location: Rockhampton, Queensland, Australia
Distribution: Fedora Core 3
Posts: 13

Rep: Reputation: 0
really dumb, but not 4 a newbie


Am successfully running Linux 8.0, the only one I could get to 'see' my external Netcomm Mega-i-Modem.

I want to install some audio and video editing packages, like 'kino'.

I have a .tar.gz archive. Having copied it to my home folder, I clicked on the archive, which then expanded into a specific 'kino' folder with lots of files.

I've printed out the 'install' directions, run ./configure in a terminal, which produces amongst other items the error message, "configure:2146: error: no acceptable C compiler found in $PATH"

Please be kind and tell me what I'm doing wrong?

I fear that, unless Linux gets simpler to install software, many people simply won't bother with it, they'll stick with Windows, which I don't wish to do.

Cheers and thanks
GM
 
Old 05-02-2005, 02:49 AM   #2
jharback
LQ Newbie
 
Registered: Feb 2005
Distribution: Debian
Posts: 10

Rep: Reputation: 0
really dumb, but not 4 a newbie

GM,

First of all there is no linux 8.0. You need to tell us what distribution you are using, i.e. Debian, Mandrake, Redhat, etc. and its version number.

Other than that you are on the right track. The error you are recieving is telling you that if you have a C compiler installed it cannot find it because its not in your path, or that, you do not have one installed. The former is more likely. You need to install the gcc package or an equivalent C compiler.

Jim
 
Old 05-02-2005, 07:29 AM   #3
masonm
Senior Member
 
Registered: Mar 2003
Location: Following the white rabbit
Distribution: Slackware64 13.37 Android 4.0
Posts: 2,248

Rep: Reputation: 46
You should install the development packages for whatever distro you're using including gcc, make, and I'd recommend installing your kernel source as well if it isn't already.

Some distros, especially the so-called newbie friendly ones, don't include development tools by default and you have to install them. This isn't a fault of Linux in general, just a choice made my the developers of the particular distro.

Installing apps in Linux is no harder than windoze, just different. If you were to try and compile something in windoze you would also need a compiler and would get errors without it.
 
Old 05-02-2005, 10:35 AM   #4
freakyg
Member
 
Registered: Apr 2005
Distribution: LFS 5.0 and 6.1
Posts: 705

Rep: Reputation: 30
Re: really dumb, but not 4 a newbie

Quote:
Originally posted by jharback
GM,

First of all there is no linux 8.0. You need to tell us what distribution you are using, i.e. Debian, Mandrake, Redhat, etc. and its version number.

sure there is.........linux 8.0 usually refers to Redhat 8.0
 
Old 05-02-2005, 11:45 AM   #5
jonaskoelker
Senior Member
 
Registered: Jul 2004
Location: Denmark
Distribution: Ubuntu, Debian
Posts: 1,524

Rep: Reputation: 46
masonm: you're right, installing programs onto a GNU/linux box is just as easy as it is for windows, and (in my experience) often easier.

what most newbies probably aren't taught is *how*: using the package manager--your distro provides you with (ackermann(~4 to 5)) packages; most likely the one that does X (which you want done) is one of them.

so, OP, search through your packages; use yum, rpm, apt-get, synaptic; whatever your distro recommends/provides/you like.

see also: http://www.linuxquestions.org/questi...0&pagenumber=2 (or pagenumber=1)

hth --Jonas
 
Old 05-02-2005, 04:19 PM   #6
jharback
LQ Newbie
 
Registered: Feb 2005
Distribution: Debian
Posts: 10

Rep: Reputation: 0
really dumb, but not 4 a newbie

sure there is.........linux 8.0 usually refers to Redhat 8.0

There is also Slackware 8.0, Suse 8.0, as well as others.
 
Old 05-02-2005, 04:44 PM   #7
reddazz
Guru
 
Registered: Nov 2003
Location: N. E. England
Distribution: Fedora, CentOS, Debian
Posts: 16,298

Rep: Reputation: 73
Re: Re: really dumb, but not 4 a newbie

Quote:
Originally posted by freakyg
sure there is.........linux 8.0 usually refers to Redhat 8.0
You need to be more specific about the distro you are using. There is no such thing as Linux 8.0 as you were informed. Distros are referred to by their name and version number. Only the Linux kernel is referred to as Linux and it hasn't reached version 8.0 yet.
 
Old 05-02-2005, 05:12 PM   #8
masonm
Senior Member
 
Registered: Mar 2003
Location: Following the white rabbit
Distribution: Slackware64 13.37 Android 4.0
Posts: 2,248

Rep: Reputation: 46
Quote:
linux 8.0 usually refers to Redhat 8.0
Linux is NOT generic for RedHat. At one time, when someone said "Linux" they were referring to Slackware Linux. Now that we have so many distros out there that's no longer applicable.
 
Old 05-03-2005, 12:57 AM   #9
GingerMegs
LQ Newbie
 
Registered: Apr 2005
Location: Rockhampton, Queensland, Australia
Distribution: Fedora Core 3
Posts: 13

Original Poster
Rep: Reputation: 0
Sorry guys,

my version is Redhat 8.0

GM
 
Old 05-03-2005, 02:56 AM   #10
jonaskoelker
Senior Member
 
Registered: Jul 2004
Location: Denmark
Distribution: Ubuntu, Debian
Posts: 1,524

Rep: Reputation: 46
Quote:
... they were referring to Slackware Linux
Mandrake and SuSE had a version 8.0 too, right?

Quote:
Sorry guys
no biggie

Quote:
my version is Redhat 8.0
then how come the distro field of your profile says Mandrake 10?

(go to `User CP' -> `edit profile' (iirc) -> `distro')

--Jonas
 
Old 05-04-2005, 02:16 AM   #11
GingerMegs
LQ Newbie
 
Registered: Apr 2005
Location: Rockhampton, Queensland, Australia
Distribution: Fedora Core 3
Posts: 13

Original Poster
Rep: Reputation: 0
been thrashing around

since I registered for this forum I've changed to Redhat 8.0 because I simply could not get Mandrake 10.1 to see my external modem and I don't have the expertise to get into authentications, ppp etc.

still learning
Cheers
GM
 
Old 05-04-2005, 05:42 AM   #12
jonaskoelker
Senior Member
 
Registered: Jul 2004
Location: Denmark
Distribution: Ubuntu, Debian
Posts: 1,524

Rep: Reputation: 46
So just to get it straight: you don't use Mandrake anymore--correct? Then you should change your profile.

--Jonas
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Dumb ass newbie mistake...help! craigb Linux - Newbie 4 11-14-2004 12:07 PM
dumb newbie question about renaming directories Lleb_KCir Linux - General 2 10-26-2004 08:37 PM
newbie that did something real dumb rnmartinez Linux - Software 5 06-08-2004 08:40 AM
Dumb newbie issue: firefox-0.8 cant run after installed... michelbehr Linux - Software 16 03-30-2004 12:08 AM
Dumb Newbie Question: Apache Webserver stoney79 Linux - Newbie 4 12-23-2003 10:40 AM


All times are GMT -5. The time now is 04:51 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration